# PamhyrPlot.py -- Pamhyr
# Copyright (C) 2023  INRAE
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# -*- coding: utf-8 -*-

from View.Tools.Plot.APlot import APlot
from View.Tools.Plot.PamhyrCanvas import MplCanvas
from View.Tools.Plot.PamhyrToolbar import PamhyrPlotToolbar


class PamhyrPlot(APlot):
    def __init__(self, data=None, trad=None,
                 canvas=None, toolbar=None,
                 parent=None):
        if canvas is None:
            canvas = MplCanvas()

        self._trad = trad
        self._canvas = canvas
        self._toolbar = toolbar
        self._parent = parent

        super(PamhyrPlot, self).__init__(data=data)

    @property
    def canvas(self):
        return self._canvas

    @property
    def toolbar(self):
        return self._toolbar
